Package be.ehealth.technicalconnector.generic.session.impl

# Class GenericServiceImpl

java.lang.Object
be.ehealth.technicalconnector.generic.session.impl.GenericServiceImpl

All Implemented Interfaces:
  `GenericService`

public class GenericServiceImpl extends Object implements GenericService
GenericServiceImpl within a Session. Implementation of `GenericService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericServiceImpl(SessionValidator sessionValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GenericResponse`
  `send(GenericRequest request)`
  `Node`
  `sendDocument(Document payload, String endpoint)`
  `Node`
  `sendDocument(Document payload, String endpoint, String soapAction)`
  `Node`
  `sendDocument(Document payload, URL endpoint)`
  `Node`
  `sendDocument(Document payload, URL endpoint, String soapAction)`
  `String`
  `sendXML(String payload, String endpoint)`
  `String`
  `sendXML(String payload, String endpoint, String soapAction)`
  `String`
  `sendXML(String payload, URL endpoint)`
  `String`
  `sendXML(String payload, URL endpoint, String soapAction)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericServiceImpl

    public GenericServiceImpl(SessionValidator sessionValidator)
    Parameters:
      `sessionValidator` -
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### sendXML

    public String sendXML(String payload, URL endpoint) throws TechnicalConnectorException
    Specified by:
      `sendXML` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
    Returns:
      String Response
    Throws:
      `TechnicalConnectorException`

  - ### sendXML

    public String sendXML(String payload, URL endpoint, String soapAction) throws TechnicalConnectorException
    Specified by:
      `sendXML` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
      `soapAction` -
    Returns:
      String Response
    Throws:
      `TechnicalConnectorException`

  - ### sendXML

    public String sendXML(String payload, String endpoint) throws TechnicalConnectorException
    Specified by:
      `sendXML` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
    Returns:
      String response
    Throws:
      `TechnicalConnectorException`

  - ### sendXML

    public String sendXML(String payload, String endpoint, String soapAction) throws TechnicalConnectorException
    Specified by:
      `sendXML` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
      `soapAction` -
    Returns:
      String response
    Throws:
      `TechnicalConnectorException`

  - ### sendDocument

    public Node sendDocument(Document payload, URL endpoint) throws TechnicalConnectorException
    Specified by:
      `sendDocument` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
    Returns:
      Node of the result
    Throws:
      `TechnicalConnectorException`

  - ### sendDocument

    public Node sendDocument(Document payload, URL endpoint, String soapAction) throws TechnicalConnectorException
    Specified by:
      `sendDocument` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
      `soapAction` -
    Returns:
      Node of the result
    Throws:
      `TechnicalConnectorException`

  - ### sendDocument

    public Node sendDocument(Document payload, String endpoint) throws TechnicalConnectorException
    Specified by:
      `sendDocument` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
    Returns:
      Node of the result
    Throws:
      `TechnicalConnectorException`

  - ### sendDocument

    public Node sendDocument(Document payload, String endpoint, String soapAction) throws TechnicalConnectorException
    Specified by:
      `sendDocument` in interface `GenericService`
    Parameters:
      `payload` -
      `endpoint` -
      `soapAction` -
    Returns:
      Node of the result
    Throws:
      `TechnicalConnectorException`

  - ### send

    public GenericResponse send(GenericRequest request) throws TechnicalConnectorException
    Specified by:
      `send` in interface `GenericService`
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`